Bug 8246 - can't delete bibs in big batch delete
Summary: can't delete bibs in big batch delete
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-14 15:12 UTC by Nicole C. Engard
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8246: Allow deleting record if no more items (2.30 KB, patch)
2015-03-31 14:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8246: Allow deleting record if no more items (2.71 KB, patch)
2015-04-02 14:10 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 8246: Allow deleting record if no more items (2.77 KB, patch)
2015-04-03 13:09 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-06-14 15:12:57 UTC
I saved the report of withdrawn titles, and when I ran it I got a message saying the list was too long to display individual barcodes, but all titles would be deleted. I did not get the checkbox with the choice of "Delete records if no items remain".

I do see this checkbox is I'm loading in a smaller file though.
Comment 1 Jonathan Druart 2015-03-31 14:36:23 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-04-02 14:10:00 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-04-03 13:09:41 UTC
Created attachment 37455 [details] [review]
[PASSED QA] Bug 8246: Allow deleting record if no more items

The "Delete records if no items remain" was only available if the batch
did not contain "too many" items (see MaxItemsForBatch).
This limitation does not make any sense.

Test plan:
1/ Set MaxItemsForBatch=10
2/ Use the batch item deletion to delete 10+ items
3/ Confirm the checkbox "Delete records if no items remain" is displayed
4/ Check it
5/ Launch the job
6/ Run koha qa test tools

Verify that the records without items have been deleted also.

NOTE: My test db only had two biblios with items, so I set
      MaxItemsForBatch=1.
      Before patch, checkbox did not display.
      After patch, checkbox did display.
      This patch merely moves one line out of the IF/ELSE/END
      block, and reindents for more readability. Though, there
      is a missing <p> if you want to get picky.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-04-08 14:38:14 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2015-04-11 05:31:04 UTC
Pushed to 3.18.x will be in 3.18.6